← OBPv7.0.0 Data Warehouse Search POST /obp/v7.0.0/search/warehouse/INDEX OBPv3.0.0-dataWarehouseSearch Roles: CanSearchWarehouse Data-Warehouse Search the data warehouse and get row level results. User Authentication is Required. The User must be logged in. The Application must also be authenticated. CanSearchWarehouse entitlement is required. You can request the Role below. Elastic (search) is used in the background. See links below for syntax. Examples of usage: POST /search/warehouse/THE_INDEX_YOU_WANT_TO_USE POST /search/warehouse/INDEX1,INDEX2 POST /search/warehouse/ALL { Any valid elasticsearch query DSL in the body } Elasticsearch query DSL Elastic simple query Elastic aggregations URL Parameters: INDEX: JSON request body fields (2) match_all query JSON response body fields (0) Example request body { "query": { "match_all": {} } } Example success response {} Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.